<?php
include_once '../../sys/db.php';
include_once '../../sys/fnc.php';
$title = 'Гостевая';
include_once '../../sys/head.php';

echo $div->div_razd.' Гостевая</div>';
if ($user->position == 'admin'){
$count_guest = mysql_result(mysql_query("SELECT COUNT(*) FROM `guest`"),0);

if (isset($_GET['act']) && $_GET['act']=='del' && isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id` = '".intval($_GET['id'])."'"),0) == 1)
{
$post = mysql_fetch_object(mysql_query("SELECT `id` FROM `guest` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
mysql_query("DELETE FROM `guest` WHERE `id` = '".$post->id."'");
echo $div->div_err.'Сообщение удаленно!</div>';
}
if (isset($_GET['del_guest']) && $count_guest >= 1){
mysql_query("DELETE FROM `guest");
echo $div->div_err.' Все сообщение были удаленны!</div>';
}
}
if (isset($user))
{
// Отправка комментариев
if (isset($_POST['msg'])) {
if (strlen($_POST['msg']) > 1){ $msg = html($_POST['msg']);
}else {
$msg = 'Сообщение пустое';
}
mysql_query("INSERT INTO `guest` (`id_user`, `msg`, `time`) VALUES ('". $user->id ."', '".$msg."', '".time()."')");
header('Location: ?');
exit;
}
// Ответ на комментарий 
if (isset($_GET['otv'])) {
$user_temp = mysql_fetch_object(mysql_query("SELECT `id`,`login` FROM `user` WHERE `login` = '".html($_GET['otv'])."' LIMIT 1"));


if (isset($_POST['msg']) && isset($user))
{
$msg = html($_POST['msg']);
$length_msg = str_replace(' ', '', $msg);
if (string($length_msg) < 3) {
$error = true;
$errort .= '<div class="err">Длина записи должна быть не менее 3-х символов.</div>';
} elseif (string($length_msg) > 500) {
$error = true;
$errort .= '<div class="err">Длина записи должна быть не более 500 символов.</div>';
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id` = '".intval($_GET['id'])."' AND `id_user` = '".$user->id."' AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){
$error = true;
$errort .= '<div class="err">Ваше сообщение повторяет предыдущее</div>';
}
if (!isset($error)) {
$msg = mysql_real_escape_string($msg);
mysql_query("INSERT INTO `guest` (`id_user`, `msg`) values('".$user->id."', '".html($msg)."')");
header("Location: /scripts/guest/");
}
}
echo $errort;

if (isset($user)){
echo '<div class="post"><form method="post" name="message">';
echo '<textarea name="msg">'.$user_temp->login.' , '.output(stripslashes(htmlspecialchars($_POST['msg']))).'</textarea><br>';
echo '<input class="btn btn-default" value="Ответить" type="submit" name="create" />
</form></div>';
}else{echo '<div class="err">Запрещено комментировать гостям.</div>';}

include_once '../../sys/foot.php';
exit;
}
// Вывод таблички добавить пост
echo $div->div_menu.'<form method="post" name="message"><textarea name="msg"></textarea><br><input class="btn btn-default" value="Написать" type="submit" name="add" /></form></div>';
}

// Считаем колл
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `guest`"), 0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
// Нет сообщений
if ($k_post == 0)echo $div->div_err.' Нет сообщений</div>';
// Вывод 
$output_d = mysql_query("SELECT `id`,`id_user`,`msg`,`time` FROM `guest` ORDER BY id DESC LIMIT $start, 10");
while ($post = mysql_fetch_object($output_d))
{
$ank = mysql_fetch_object(mysql_query("SELECT `id`,`login` FROM `user` WHERE `id` = '".$post->id_user."' LIMIT 1"));
echo $div->div_menu;
echo online($ank->id).' <a href="/pages/user/user.view.php?id='.$ank->id.'">'.$ank->login.'</a> ('.ptime($post->time).')<br /> '.output($post->msg).'<br />';
if (isset($user)){
if ($post->id_user != $user->id)echo "<a href='/pages/guest/?id=".$post->id."&otv=".$ank->login."'><button id='btn'><div class='button'></div>Ответ</button></a>";
if ($user->position == admin  || $user->position == mod)echo ' <a href="?act=del&id='.$post->id.'"><button id="btn"><div class="button"></div>Удалить</button></div></a>';
}
echo '</div>';
}
// Вывод страниц
if ($k_page  > 1)str('?', $k_page, $page);
// Удаляем сообщение
if ($user->position == admin && $count_guest >= 1)echo $div->div_menu.'<a href="?del_guest">Удалить все сообщения</a></div>'; 
include_once '../../sys/foot.php';
?>